Neidio i'r cynnwys

Chatterboxhd · Speech to Speech

Integreiddio

ID y model resemble-ai/chatterboxhd/speech-to-speech
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/resemble-ai/chatterboxhd/speech-to-speech?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "source_audio_url": "https://content.doitong.com/audio/showcase/v3/tools/dub_es.mp3"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Ffeiliau fel yr enghraifft: $0.02 20 o gredydau API · ≈ ₽2.15 caiff eich ffeiliau eu mesur cyn y rhediad Ei redeg ar y dudalen hon

Cael allwedd API
Resemble AI Testun i Leferydd

Trosi llais sy’n ail-lefaru clip sain ffynhonnell gan ddefnyddio llais rhagosodedig neu sampl cyfeirio

Resemble AI · Sain

Mae eich canlyniad cyntaf yn mynd yma

Adeiladwch gais isod a'i redeg gyda'ch allwedd API. Mae allbynnau'n cael eu copïo i'n storio, wedi'u cadw am byth neu am 7 diwrnod am ddim.

Adeiladu cais

Cynhyrchir rheolyddion o sgema'r model. Mae'r cod a'r pris yn diweddaru wrth i chi eu newid.

•gofynnol
Gollyngwch ffeil, neu

URL sy’n pwyntio at y sain ffynhonnell ar gyfer trosi llais.

Uwch target_voice_audio_url · target_voice · high_quality_audio
Gollyngwch ffeil, neu

URL ffeil sain sy’n cael blaenoriaeth dros target_voice wrth bennu’r llais allbwn. Os na ddarperir target_voice na target_voice_audio_url, defnyddir y llais targed rhagosodedig.

Dewiswch lais ar gyfer cynhyrchu lleferydd-i-leferydd, neu gadewch target_voice a target_voice_audio_url heb eu nodi er mwyn dewis llais targed ar hap.

POST /run/resemble-ai/chatterboxhd/speech-to-speech?wait=20 dyfynbris → $0.02
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/resemble-ai/chatterboxhd/speech-to-speech?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "source_audio_url": "https://content.doitong.com/audio/showcase/v3/tools/dub_es.mp3"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Rhedeg y cais hwn

Mae'ch allwedd yn aros yn y porwr hwn: caiff ei hanfon at Doitong API yn unig a'i chadw (localStorage) dim ond os ticiwch Cofio. Cael allwedd API

Ynglŷn â Chatterboxhd · Speech to Speech

Yn trosi’r lleferydd yn `source_audio_url` i lais gwahanol. Dewiswch un o naw llais rhagosodedig gyda `target_voice`, neu ddarparwch eich sampl drwy `target_voice_audio_url`, sy’n cael blaenoriaeth. Os na roddir yr un, dewisir llais ar eich rhan. Mae gosod `high_quality_audio` yn uwchraddio’r allbwn i 48kHz yn lle 24kHz.

Paramedrau

EnwMath RhagosodedigCaniateir Disgrifiad
source_audio_urlgofynnol
Mathurl · audio
URL sy’n pwyntio at y sain ffynhonnell ar gyfer trosi llais.
target_voicedewisol
Mathenum
AuroraBladeBritneyCarlCliffRichardRicoSiobhanVicky
Dewiswch lais ar gyfer cynhyrchu lleferydd-i-leferydd, neu gadewch target_voice a target_voice_audio_url heb eu nodi er mwyn dewis llais targed ar hap.
target_voice_audio_urldewisol
Mathurl · audio
URL ffeil sain sy’n cael blaenoriaeth dros target_voice wrth bennu’r llais allbwn. Os na ddarperir target_voice na target_voice_audio_url, defnyddir y llais targed rhagosodedig.
high_quality_audiodewisol
Mathboolean
Rhagosodedigfalse
Dewiswch allbwn 24kHz gyda False neu sain o ansawdd uwch wedi’i huwchraddio i 48kHz gyda True. Mae galluogi uwchraddio’n cynyddu amser cynhyrchu.
gofynnol

Mae paramedrau ffeil yn derbyn URL cyhoeddus https://, URI data: hyd at 10 MB, neu file_url uwchlwythiad. Ffeiliau

Allbwn

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "resemble-ai/chatterboxhd/speech-to-speech",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 20,
    "usd": "0.02",
    "charged": 20,
    "refunded": 0
  },
  "input": {
    "source_audio_url": "https://content.doitong.com/audio/showcase/v3/tools/dub_es.mp3"
  },
  "output": {},
  "outputs": [
    {
      "type": "audio",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp3",
      "content_type": "audio/mpeg",
      "file_size": 1843200,
      "duration": 12,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
Eich ffeiliau, eich dewisMae pob outputs[].url yn gopi ar ein storio: wedi'i gadw am byth (telir fesul GB-mis) neu am 7 diwrnod am ddim, yn ôl gosodiad eich cyfrif neu ?storage=.
Yr un siâp ar bob modeltype, url, content_type, width, height a duration, ar gyfer delweddau, fideo a sain fel ei gilydd. Gwrthrych canlyniad y model ei hun yw output.
Meysydd yr allbwn
audio
anyFfeil sain a gynhyrchir drwy drosi llais.

Mwy o fodelau: Testun i Leferydd

Ar gyfer asiantau AI: mae'r dudalen hon fel Markdown ar gael yn https://doitong.com/cy/developers/models/resemble-ai/chatterboxhd/speech-to-speech.md. Pob model a chanllaw: https://doitong.com/developers/llms.txt